## GucharmapChaptersView

GucharmapChaptersView —

## Functions

GtkWidget * | gucharmap_chapters_view_new ()
void | gucharmap_chapters_view_set_model ()
GucharmapChaptersModel * | gucharmap_chapters_view_get_model ()
gboolean | gucharmap_chapters_view_select_character ()
GucharmapCodepointList * | gucharmap_chapters_view_get_codepoint_list ()
GucharmapCodepointList * | gucharmap_chapters_view_get_book_codepoint_list ()
void | gucharmap_chapters_view_next ()
void | gucharmap_chapters_view_previous ()
gchar * | gucharmap_chapters_view_get_selected ()
gboolean | gucharmap_chapters_view_set_selected ()
gboolean | gucharmap_chapters_view_select_locale ()

## Types and Values

| GucharmapChaptersViewPrivate
struct | GucharmapChaptersView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── GucharmapChaptersView

## Implemented Interfaces

GucharmapChaptersView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### gucharmap_chapters_view_new ()

    GtkWidget *
    gucharmap_chapters_view_new (void);

Creates a new GucharmapChaptersView object.

#### Returns

a new GucharmapChaptersView.

[transfer full]

### gucharmap_chapters_view_set_model ()

    void
    gucharmap_chapters_view_set_model (GucharmapChaptersView *view,
                                       GucharmapChaptersModel *model);

### gucharmap_chapters_view_get_model ()

    GucharmapChaptersModel *
    gucharmap_chapters_view_get_model (GucharmapChaptersView *view);

Gets the GucharmapChaptersModel of view.

#### Parameters

view | a GucharmapChaptersView |

#### Returns

the GucharmapChaptersModel.

[transfer none]

### gucharmap_chapters_view_select_character ()

    gboolean
    gucharmap_chapters_view_select_character
                                   (GucharmapChaptersView *view,
                                    gunichar wc);

#### Parameters

view | a GucharmapChaptersView |
wc | a character |

#### Returns

`TRUE` on success, `FALSE` on failure.

### gucharmap_chapters_view_get_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_chapters_view_get_codepoint_list
                                   (GucharmapChaptersView *view);

Creates a new GucharmapCodepointList representing the characters in the current chapter.

#### Parameters

view | a GucharmapChaptersView |

#### Returns

the newly-created GucharmapCodepointList, or NULL if there is no chapter selected. The caller should release the result with `g_object_unref()` when finished.

[transfer full]

### gucharmap_chapters_view_get_book_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_chapters_view_get_book_codepoint_list
                                   (GucharmapChaptersView *view);

#### Parameters

view | a GucharmapChaptersView |

#### Returns

a reference to a GucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

[transfer full]

### gucharmap_chapters_view_next ()

    void
    gucharmap_chapters_view_next (GucharmapChaptersView *view);

### gucharmap_chapters_view_previous ()

    void
    gucharmap_chapters_view_previous (GucharmapChaptersView *view);

Moves to the previous chapter if applicable.

#### Parameters

view | a GucharmapChapters |

### gucharmap_chapters_view_get_selected ()

    gchar *
    gucharmap_chapters_view_get_selected (GucharmapChaptersView *view);

### gucharmap_chapters_view_set_selected ()

    gboolean
    gucharmap_chapters_view_set_selected (GucharmapChaptersView *view,
                                          const gchar *name);

### gucharmap_chapters_view_select_locale ()

    gboolean
    gucharmap_chapters_view_select_locale (GucharmapChaptersView *view);

## Types and Values

### GucharmapChaptersViewPrivate

    typedef struct _GucharmapChaptersViewPrivate GucharmapChaptersViewPrivate;

### struct GucharmapChaptersView

    struct GucharmapChaptersView;